curl --request PATCH \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/restore \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/restore"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Restore archived project
Restores a project that was previously archived, reversing PUT /api2/v1/projects/{projectUid}/archive.
This does not recover a project soft-deleted via DELETE /api2/v1/projects/{projectUid}
(recycle bin) - use PATCH /api2/v1/projects/{projectUid}/undelete for that instead.
This is the only endpoint that can be called on an archived project directly - while a project is archived, GET requests against the project itself and its jobs/quotes/analyses, DELETE /api2/v1/projects/{projectUid}, and GET/PUT /api2/v2/projects/{projectUid}/accessSettings all return 404 Not Found, the same as for a non-existent project.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project to restore
Response
No Content
Was this page helpful?